import { RingDevice } from '../api';
import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
import { BaseDeviceAccessory } from './base-device-accessory';
export declare class Beam extends BaseDeviceAccessory {
    readonly device: RingDevice;
    readonly accessory: HAP.Accessory;
    readonly logger: HAP.Log;
    readonly config: RingAlarmPlatformConfig;
    isLightGroup: boolean;
    groupId: string | undefined;
    constructor(device: RingDevice, accessory: HAP.Accessory, logger: HAP.Log, config: RingAlarmPlatformConfig);
    setOnState(on: boolean): void;
    setLevelState(level: number): Promise<void>;
}
