import { BaseDeviceAccessory } from './base-device-accessory';
import { RingDevice, RingDeviceData } from '../api';
import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
export declare class Lock extends BaseDeviceAccessory {
    readonly device: RingDevice;
    readonly accessory: HAP.Accessory;
    readonly logger: HAP.Log;
    readonly config: RingAlarmPlatformConfig;
    private targetState;
    constructor(device: RingDevice, accessory: HAP.Accessory, logger: HAP.Log, config: RingAlarmPlatformConfig);
    setTargetState(state: any): void;
    getTargetState(data: RingDeviceData): any;
}
