"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_device_accessory_1 = require("./base-device-accessory");
const hap_1 = require("./hap");
class MotionSensor extends base_device_accessory_1.BaseDeviceAccessory {
    constructor(device, accessory, logger, config) {
        super();
        this.device = device;
        this.accessory = accessory;
        this.logger = logger;
        this.config = config;
        const { MotionSensor } = hap_1.hap.Service;
        this.registerCharacteristic(hap_1.hap.Characteristic.MotionDetected, MotionSensor, data => data.faulted);
        this.initSensorService(MotionSensor);
    }
}
exports.MotionSensor = MotionSensor;
