import { RingDevice } from '../api';
import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
import { BaseAccessory } from './base-accessory';
export declare abstract class BaseDeviceAccessory extends BaseAccessory<RingDevice> {
    abstract readonly device: RingDevice;
    abstract readonly accessory: HAP.Accessory;
    abstract readonly logger: HAP.Log;
    abstract readonly config: RingAlarmPlatformConfig;
    protected constructor();
    private initBase;
    initSensorService(SensorService: HAP.Service): void;
}
