/// <reference types="node" />
import { RingCamera } from '../api';
import { HAP } from './hap';
import Service = HAP.Service;
export declare class CameraSource {
    private ringCamera;
    services: Service[];
    streamControllers: any[];
    constructor(ringCamera: RingCamera);
    handleSnapshotRequest(request: {
        width: number;
        height: number;
    }, callback: (err?: Error, snapshot?: Buffer) => void): Promise<void>;
    handleCloseConnection(connectionID: any): void;
    prepareStream(request: any, callback: (response: any) => void): void;
    handleStreamRequest(request: any): void;
}
