import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
import { RingCamera } from '../api';
import { BaseAccessory } from './base-accessory';
export declare class Camera extends BaseAccessory<RingCamera> {
    readonly device: RingCamera;
    readonly accessory: HAP.Accessory;
    readonly logger: HAP.Log;
    readonly config: RingAlarmPlatformConfig;
    constructor(device: RingCamera, accessory: HAP.Accessory, logger: HAP.Log, config: RingAlarmPlatformConfig);
}
