import { BaseDeviceAccessory } from './base-device-accessory';
import { RingDevice } from '../api';
import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
export declare class ContactSensor extends BaseDeviceAccessory {
    readonly device: RingDevice;
    readonly accessory: HAP.Accessory;
    readonly logger: HAP.Log;
    readonly config: RingAlarmPlatformConfig;
    constructor(device: RingDevice, accessory: HAP.Accessory, logger: HAP.Log, config: RingAlarmPlatformConfig);
}
