import { BaseDeviceAccessory } from './base-device-accessory';
import { RingDevice } from '../api';
import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
export declare class MultiLevelSwitch extends BaseDeviceAccessory {
    readonly device: RingDevice;
    readonly accessory: HAP.Accessory;
    readonly logger: HAP.Log;
    readonly config: RingAlarmPlatformConfig;
    constructor(device: RingDevice, accessory: HAP.Accessory, logger: HAP.Log, config: RingAlarmPlatformConfig);
    setOnState(on: boolean): Promise<void>;
    setLevelState(level: number): Promise<void>;
}
