import { HAP } from './hap';
import { RingAlarmPlatformConfig } from './config';
import { RingAuth } from '../api/rest-client';
export declare class RingAlarmPlatform {
    log: HAP.Log;
    config: RingAlarmPlatformConfig & RingAuth;
    api: HAP.Platform;
    private readonly homebridgeAccessories;
    constructor(log: HAP.Log, config: RingAlarmPlatformConfig & RingAuth, api: HAP.Platform);
    configureAccessory(accessory: HAP.Accessory): void;
    connectToApi(): Promise<void>;
}
